//
//  ProfileEdit.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 28/05/2024.
//

import SwiftUI

struct ProfileEdit: View {
    let color : Color
    let profileWidth : CGFloat
    let profileHeight : CGFloat
    let defaultImage: Image
    let imageTextChange : String
    var body: some View {
        VStack(alignment: .leading) {
                EditImageComponent(
                    color: color,
                    profileWidth: profileWidth,
                    profileHeight: profileHeight,
                    defaultImage: defaultImage,
                    imageTextChange: imageTextChange
                ).padding(EdgeInsets(top: 0, leading: 32, bottom: 0, trailing: 32))
            VStack(alignment: .trailing) {
                HStack {
                    EditTextComponent(explanation: "Nom du Joueur 1", value: "Joueur 1")
                }
            }
        }
    }
}

struct ProfileEdit_Previews: PreviewProvider {
    static var previews: some View {
        ProfileEdit(color: Color(.red),
                    profileWidth: 100,
                    profileHeight: 100,
                    defaultImage: Image("profil"),
                    imageTextChange: "Changer d'avatar"
        )
    }
}
